# Interface FillSymbol3DLayerJson

FillSymbol3DLayer is used to render the surfaces of flat 2D Polygon geometries and 3D volumetric meshes in a SceneView.

See https://developers.arcgis.com/web-scene-specification/objects/fillSymbol3DLayer/.

interface FillSymbol3DLayerJson {
castShadows?: boolean;
edges?: EdgesJson;
enable?: boolean;
material?: MaterialJson;
outline?: OutlineJson;
type: "Fill";
}

#### Hierarchy (view full)

- Symbol3DLayerJsonBase
  - FillSymbol3DLayerJson

#####
Index

### Properties

castShadows?
edges?
enable?
material?
outline?
type

##
Properties

### `Optional` castShadows

castShadows?: boolean

Boolean to control the shadow casting behavior of the rendered geometries.

### `Optional` edges

edges?: EdgesJson

Specifies an edge visualization style. Only affects MeshSymbol3D.

### `Optional` enable

enable?: boolean

Type: Boolean.

### `Optional` material

material?: MaterialJson

The material used to shade the geometry.

### `Optional` outline

outline?: OutlineJson

The outline of the point, line or polygon.

### type

type

The type of the Symbol3DLayer. See Symbol3DLayerJsonType.

Overrides Symbol3DLayerJsonBase.type